Subject: Re: bug#70824: 29.3; Run time error in `dabbrev-completion'
From: Eli Zaretskii <[email-masked]>
To: Matt Armstrong <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 May 2024 10:34:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 7 May 2024 12:19:43 -0700
> From:  Matt Armstrong via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I'm in a state where `dabbrev--last-buffer' is set to #<killed buffer>,
> which confuses the `dabbrev-completion' command as shown by the 
> backtrace below.
> 
> If I find a way to reproduce I will follow up with that.
> 
> I suspect that dabbrev.el should use `(buffer-live-p
> dabbrev--last-buffer)' instead of checking for non-nil.

Thanks, I added the buffer-live-p tests where appropriate in
dabbrev.el and installed the changes on the master branch.  I'm now
boldly closing this bug.